<?
define('PROTECTOR', 1);

$head = 'auction';//фикс. места

$textl='Аукцион вещей';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

$time=time();
switch($_GET[mod]){

default:
echo"<div class='a'><b>Аукционы</b></div><div class='dot'><img src=\"pic/main/guilds.png\" alt=\"\"/>
 <a href=\"auction.php?mod=weapon\">Аукцион вещей</a></br>Покупка и продажа снаряжения
></div><div class='dot'><img src=\"pic/pers/kam.png\" alt=\"\"/> <a href=\"auction.php?mod=res\">Аукцион Ресурсов</a></br>Ресурсы, элексиры, артефакты ></div>";


break;

case 'weapon':
echo"<div class='a'><b>Аукцион вещей</b></div>";
if ($_GET[page] == "") {$_GET[page] = 0;}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 5;
if($_GET[page] == "0"){$i = 1;}else{$i = ($_GET[page]*5)+1;}
$weap = mysql_query("SELECT * FROM `weapon` WHERE `image`='auction' ORDER BY `time` DESC LIMIT $num,5")or die(mysql_error());
$viso = mysql_num_rows($weap);
if($viso == 0){echo"$div Нет вещей на продаже!</br>";}
$puslap = floor($viso/5);
While($mag = mysql_fetch_array($weap))
{echo"<div class='dot'>";
if($udata[lvl]>$mag[nlvl]){$font="#AAAAAA";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image`= 'yes' and `usr`='$log' and `tip`='$mag[tip]'") or die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep[hp]+$wep[mp]+$wep[krit]+$wep[ukrit]+$wep[sila]+$wep[lovk]+$wep[prot];
$statmag = $mag[hp]+$mag[mp]+$mag[krit]+$mag[ukrit]+$mag[sila]+$mag[lovk]+$mag[prot];
if($stat==$statmag){$tex=" Надето!";}
if($statmag-$stat>0){$sta=$statmag-$stat; $tex="<font color='#71cc71'> Лучше +$sta</font>";}
if($statmag-$stat<0){$sta=$statmag-$stat; $tex="<font color='#FF6633'> Хуже $sta</font>";}
$am=$am+$mag[cena];
if(!empty($mag[img])){$patch="art/$mag[img]";}else{
$patch="weapon/$mag[tip]$mag[kompl].jpg";}
echo"<img class=\"float-left\" src=\"pic/pers/$patch\" style=\"margin-right:4px;\"/><a href=\"auction.php?mod=weapinfo&id=$mag[id]\"><font color='$font'>$mag[name]</font></a></br>"; 
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] ур <img src='pic/pers/weapon/$pic' alt='*'/>$tex </br>
Выставил: $mag[usr]</br>
Цена: <img src='pic/bazar.gif' alt='*'/> $mag[ncena] (В магазине $mag[cena] <img src='pic/bazar.gif' alt='*'/>) </br>";
if(!empty($mag[opis])){echo"$mag[opis]</br>";}
echo"[<a href=\"auction.php?mod=by&id=$mag[id]&usr=$mag[usr]\">купить</a>]";
echo"</div>";}

echo"<div class='dot'>";
if ($_GET[page] > 0){echo "<a href=\"auction.php?mod=weapon&page=$back\">«Назад</a>";}
if ($_GET[page] > 0 and $_GET[page] < $puslap){ echo" | ";} 
if($_GET[page] < $puslap or $viso > 5){echo "<a href=\"auction.php?mod=weapon&page=$next\">Вперeд»</a>";}
echo"</div><a href=\"auction.php?mod=weapsell\">Продать вещи</a></br>";
echo"<a href=\"auction.php?mod=mainweap\">Забрать вещи</a></br>";
echo"<a href=\"auction.php?mod=weapsearch\">Поиск вещей</a></br>";
break;

case 'weapsell':
$wep = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `image`= 'auction' ") or die (mysql_error());
$avo=mysql_num_rows($wep);
if($avo>=3){echo"<img src='pic/no.png' alt='*'/> Нельзя продать больше трех вещей</br><a href=\"auction.php?mod=weapon\">Назад</a>";break;}
if(empty($_GET[id])){
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `image`= 'not' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/no.png' alt='*'/> Пока нет вещей в инвентаре</br>";}else{
echo"<div class='a'><b>Мои вещи </b></div> ";
$am=0;
While($mag = mysql_fetch_array($req))
{
if($udata[lvl]>$mag[nlvl]){$font="gray";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image`= 'yes' and `usr`='$log' and `tip`='$mag[tip]'") or die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep[hp]+$wep[mp]+$wep[krit]+$wep[ukrit]+$wep[sila]+$wep[lovk]+$wep[prot];
$statmag = $mag[hp]+$mag[mp]+$mag[krit]+$mag[ukrit]+$mag[sila]+$mag[lovk]+$mag[prot];
if($stat==$statmag){$tex=" Надета такая же вещь!";}
if($statmag-$stat>0){$sta=$statmag-$stat; $tex="<font color='#71cc71'> Лучше +$sta</font>";}
if($statmag-$stat<0){$sta=$statmag-$stat; $tex="<font color='#ff3333'> Хуже $sta</font>";}
$am=$am+$mag[cena];
echo"<div class='dot'><img class=\"float-left\" src=\"pic/pers/weapon/$mag[tip]$mag[kompl].jpg\"/><a href=\"inventar.php?mod=info&id=$mag[id]\"><font color='$font'>$mag[name]</font></a></br>"; 
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] ур <img src='pic/pers/weapon/$pic' alt='*'/>$tex <br>Прочность: $mag[proch]/10
</br>Цена в магазине: $mag[cena] монет.</span><br>
[<a href=\"auction.php?mod=weapsell&id=$mag[id]\">Продать</a>] </div>";}
}
echo"<a href=\"auction.php?mod=weapon\">На аукцион</a>";
}else{
if(empty($_POST[cena])){
echo "<form action=\"auction.php?mod=weapsell&id=$_GET[id]\" method=\"post\">Ваша цена:<br/>";
echo "<input name=\"cena\" maxlength=\"10\" type=\"text\" title=\"Цена\" emptyok=\"true\"/><br/>";
echo"Описание: (можно не заполнять)</br>";
echo "<input name=\"opis\" maxlength=\"35\" type=\"text\" title=\"Описание\" emptyok=\"true\"/><br/>";
echo "<input type=\"submit\" value=\"Выставить\" /></form>";
}else{
$time=time();
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$cena = htmlspecialchars(addslashes(stripslashes($_POST['cena'])));
$opis = htmlspecialchars(addslashes(stripslashes($_POST['opis'])));

if($cena>=1){
mysql_query("UPDATE `weapon` SET `image` = 'auction', `time`='$time', `opis`='$opis', `ncena`='$cena' 
WHERE `usr` = '$log' and `image`= 'not' and `id`='$id'") or die (mysql_error());
echo"Вещь выставлена на продажу за <b>$cena</b> монет</br><a href=\"auction.php?mod=weapsell\">Назад</a>";}else{echo"Цена должна быть больше 1 монеты! Ё ";} }}

break;

case 'mainweap':
if(empty($_GET[id])){
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `image`= 'auction' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Пока нет вещей на продаже!</br><a href=\"auction.php?mod=weapon\">Назад</a>";}else{
echo"<div class='a'><b>Мои вещи </b></div> ";
$am=0;
While($mag = mysql_fetch_array($req))
{
if($udata[lvl]>$mag[nlvl]){$font="gray";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image`= 'yes' and `usr`='$log' and `tip`='$mag[tip]'") or die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep[hp]+$wep[mp]+$wep[krit]+$wep[ukrit]+$wep[sila]+$wep[lovk]+$wep[prot];
$statmag = $mag[hp]+$mag[mp]+$mag[krit]+$mag[ukrit]+$mag[sila]+$mag[lovk]+$mag[prot];
if($stat==$statmag){$tex=" Надета такая же вещь!";}
if($statmag-$stat>0){$sta=$statmag-$stat; $tex="<font color='#71cc71'> Лучше +$sta</font>";}
if($statmag-$stat<0){$sta=$statmag-$stat; $tex="<font color='#ff3333'> Хуже $sta</font>";}
$am=$am+$mag[cena];
echo"<div class='dot'><img class=\"float-left\" src=\"pic/pers/weapon/$mag[tip]$mag[kompl].jpg\"/><a href=\"inventar.php?mod=info&id=$mag[id]\"><font color='$font'>$mag[name]</font></a></br>"; 
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] ур <img src='pic/pers/weapon/$pic' alt='*'/>$tex <br>Прочность: $mag[proch]/10
</br>Цена в магазине: $mag[cena] монет.</span><br>
[<a href=\"auction.php?mod=mainweap&id=$mag[id]\">Забрать</a>] </div>";}
}
echo"<a href=\"auction.php?mod=weapon\">На аукцион</a>";
}else{
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$res = mysql_query("SELECT name FROM `weapon` WHERE `usr`= '$log' and `image`= 'auction' and `id`='$id' ") or die (mysql_error());
$avto=mysql_num_rows($res);
if($avto==0){echo"<img src='pic/no.png' alt='*'/> Нет такой вещи!</br><a href=\"auction.php?mod=mainweap\">Назад</a>";}
else{
$mag = mysql_fetch_array($res);
mysql_query("UPDATE `weapon` SET `image` = 'not', `time`='', `opis`='', `ncena`='' 
WHERE `usr` = '$log' and `image`= 'auction' and `id`='$id'") or die (mysql_error());
echo"Вы забрали вещь <b>$mag[name]</b> с аукциона, она помещена в инвентарь.</br><a href=\"auction.php?mod=mainweap\">Назад</a>";

}}

break;

case 'weapinfo':
$req = mysql_query("SELECT * FROM `weapon` WHERE `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo'Ошибка!';
@include('files/down.php');exit;}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Наплечник';
break;
case 'plash':
$tip='Плащ';
break;
case 'amulet':
$tip='Амулет';
break;
case 'kolco':
$tip='Кольцо';
break;
case 'ruki':
$tip='Рукавицы';
break;}
if($udata[lvl]>$mag[nlvl]){$font="gray";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
echo"<img class=\"float-left\" src=\"pic/pers/weapon/$mag[tip]$mag[kompl].jpg\"/>";
echo"<img src='pic/pers/weapon/$pic' alt='*'/><font color='#ffc22b'><b>$mag[name]</b></font><br/>
Тип: <font color='$font'><b>$tip</b></font></p>";
if(!empty($mag[hp])){echo"Жизнь: <font color='$font'><b>$mag[hp]<br/></font></b>";}
if(!empty($mag[mp])){echo"Мана: <font color='$font'><b>$mag[mp]<br/></b></font>";}
if(!empty($mag[sila])){echo"Сила: <font color='$font'><b>$mag[sila]<br/></b></font>";}
if(!empty($mag[lovk])){echo"Ловкость: <font color='$font'><b>$mag[lovk]<br/></b></font>";}
if(!empty($mag[prot])){echo"Физ. защита: <font color='$font'><b>$mag[prot]<br/></b></font>";}
if(!empty($mag[krit])){echo"Крит: <font color='$font'><b>$mag[krit]%<br/></b></font>";}
if(!empty($mag[ukrit])){echo"Крит-урон: <font color='$font'><b>$mag[ukrit]%<br/></b></font>";}
echo"Прочность: <font color='$font'><b>$mag[proch]/10<br/></b></font>";
echo"<font color='#ffc22b'><b>Требования:</b></font><br/>";
if(!empty($mag[nlvl])){echo"Уровень: <font color='$font'>$mag[nlvl]<br/></font>";}

echo'<a href="javascript:history.go(-1)">Назад</a>';
break;

case 'by':
if(empty($_GET[id]) or empty($_GET[usr])){echo"<img src='pic/no.png' alt='*'/> Не выбрана вещь</br><a href=\"auction.php?mod=weapon\">Назад</a>";break;}
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$usr = htmlspecialchars(addslashes(stripslashes($_GET['usr'])));
if($usr==$log){echo"<img src='pic/no.png' alt='*'/> Нельзя покупать свои вещи!</br><a href=\"auction.php?mod=weapon\">Назад</a>";break;}
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$usr' and `image`= 'auction' and `id`='$id' ") or die (mysql_error());
$avto=mysql_num_rows($req);
$mag = mysql_fetch_array($req);
if($avto==1){
if($udata[money]-$mag[ncena]<0){echo"<img src='pic/no.png' alt='*'/> Нехватает монет!</br><a href=\"auction.php?mod=weapon\">Назад</a>";break;}
$money=$udata[money]-$mag[ncena];
mysql_query("UPDATE `users` SET `money` = '$money' WHERE `usr` = '$log'");

$tor = mysql_query("SELECT money FROM `users` WHERE `usr` = '$usr' LIMIT 1");
$m = mysql_fetch_array($tor);
$m[money]=$m[money]+$mag[ncena];
mysql_query("UPDATE `users` SET `money` = '$m[money]' WHERE `usr` = '$usr'");


$time = date("H:i d.m.y");
$text = "$log приобрел $mag[name], вам перечислена сумма $mag[ncena] монет!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Аукцион', `user_to` = '$usr', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
mysql_query("UPDATE `weapon` SET `image` = 'not', `time`='',`opis`='',`ncena`='',`usr`='$log' WHERE  `usr`= '$usr' and `image`= 'auction' and `id`='$id' ");
echo"<img src='pic/yes.png' alt='*'/> Вещь <b>$mag[name]</b> куплена за $mag[ncena] монет!<br/> <a href=\"auction.php?mod=weapon\">На аукцион</a></br>";

}else{echo"<img src='pic/no.png' alt='*'/> Нет такой вещи!</br><a href=\"auction.php?mod=weapon\">Назад</a>";break;}
break;
////////////////////////////PECЫ///////////////////////////////
case 'res':
echo"<div class='a'><b>Аукцион ресурсов</b></div>";
if ($_GET[page] == "") {$_GET[page] = 0;}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 5;
if($_GET[page] == "0"){$i = 1;}else{$i = ($_GET[page]*5)+1;}
$weap = mysql_query("SELECT * FROM `auction` WHERE `kol`>'0' ORDER BY `time` DESC LIMIT $num,5")or die(mysql_error());
$viso = mysql_num_rows($weap);
if($viso == 0){echo"$div Нет ресурсов на продаже!</br>";}
$puslap = floor($viso/5);
While($mag = mysql_fetch_array($weap))
{echo"<div class='dot'>";

$img = substr($mag[lat_name],0,3);
echo"<img src=\"pic/pers/$img.png\" alt=\"*\"/> <font color='chocolate'>$mag[name]</font></a></br>"; 
echo"Кол-во: <b>$mag[kol]</b></br>
Выставил: $mag[usr]</br>
Цена за 1: <img src='pic/bazar.gif' alt='*'/> $mag[mycena] (В магазине $mag[cena] <img src='pic/bazar.gif' alt='*'/>) </br>";
echo"[<a href=\"auction.php?mod=byres&id=$mag[id]&usr=$mag[usr]\">купить</a>]";
echo"</div>";}

echo"<div class='dot'>";
if ($_GET[page] > 0){echo "<a href=\"auction.php?mod=res&page=$back\">«Назад</a>";}
if ($_GET[page] > 0 and $_GET[page] < $puslap){ echo" | ";} 
if($_GET[page] < $puslap or $viso > 5){echo "<a href=\"auction.php?mod=res&page=$next\">Вперeд»</a>";}
echo"</div><a href=\"auction.php?mod=sellres\">Продать ресурсы</a></br>";
echo"<a href=\"auction.php?mod=mainres\">Забрать ресурсы</a></br>";
echo"<a href=\"auction.php?mod=ressearch\">Поиск ресурсов</a></br>";
break;

case 'sellres':
$wep = mysql_query("SELECT * FROM `auction` WHERE `usr`= '$log' ") or die (mysql_error());
$avo=mysql_num_rows($wep);
if($avo>=3){echo"<img src='pic/no.png' alt='*'/> Нельзя сделать больше 3 ставок</br><a href=\"auction.php?mod=res\">Назад</a>";break;}

$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `kol`>'0'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
$cena=round($mag[cena]);
echo"<a href=\"auction.php?mod=sellres&id=$mag[id]\">$mag[name]</a> ($mag[kol] штук) (Цена в магазине $cena за 1)<br/>";
}
echo"$div<a href=\"auction.php?mod=res\">Назад</a>";
}else{echo"Нет ресурсов!<br/>";}}else{
if(empty($_POST[mycena]) or empty($_POST[num])){
echo "<form action=\"auction.php?mod=sellres&id=$_GET[id]\" method=\"post\">";
echo '<b>Цена за штуку:</b><br/>';
echo '<input type="text" name="mycena"/><br/>';
echo '<b>Сколько:</b><br/>';
echo '<input type="text" name="num"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';
}else{
if($_POST[mycena]<=0){
echo"Ошибка!Неправильно введённая цена!";
@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$res = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `auction` WHERE `usr` = '$log' and `lat_name`='$res[lat_name]'");
////////////////////////////
$avto=mysql_num_rows($req);
/////////////////////
if($res[kol]-$_POST[num]<0){
mysql_query("UPDATE `res` SET `kol` = '0' WHERE `usr` = '$log' and `id`='$_GET[id]'");
$nkol=$res[kol];}else{
$res[kol]=$res[kol]-$_POST[num];
mysql_query("UPDATE `res` SET `kol` = '$res[kol]' WHERE `usr` = '$log' and `id`='$_GET[id]'");
$nkol=$_POST[num];}
////////////////////////
if($nkol==0){echo"Нет ресурса";break;}
$_POST[mycena] = htmlspecialchars(addslashes(stripslashes($_POST['mycena'])));
if($avto==0){
mysql_query("INSERT INTO
        `auction` SET
        `usr` = '$log',
        `name` = '$res[name]',
        `lat_name` = '$res[lat_name]',
        `mycena` = '$_POST[mycena]',
        `tip` = '$res[tip]',
        `what` = '$res[what]',
        `give` = '$res[give]',
        `kol` = '$nkol',
        `time` = '$time',
        `cena` = '$res[cena]'") or die(mysql_error());
}else{
$item = mysql_fetch_array($req);
$item[kol]=$item[kol]+$nkol;
mysql_query("UPDATE `auction` SET `kol` = '$item[kol]', `mycena`='$_POST[mycena]' WHERE `usr` = '$log' and `lat_name`='$res[lat_name]'");}     
echo"<b>$res[name]</b>($nkol штук) выставлен на продажу по $_POST[mycena] монет!<br/><a href=\"auction.php?mod=sellres\">Назад</a> ";}else{
echo"Нет ресурсов!<br/>";}}}
break;

case 'mainres':
$req = mysql_query("SELECT * FROM `auction` WHERE `usr` = '$log' and `kol`>'0'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
$cena=round($mag[mycena]);
echo"<a href=\"auction.php?mod=mainres&id=$mag[id]\">$mag[name]</a> ($mag[kol] штук) (Цена: $cena <img src='pic/bazar.gif' alt='*'/> за 1)<br/>";
}
echo"$div<a href=\"auction.php?mod=res\">Назад</a>";
}else{echo"Нет ресурсов!<br/><a href=\"auction.php?mod=res\">Назад</a>";}}else{
$mag = mysql_fetch_array($req);
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
mysql_query("DELETE FROM `auction` WHERE `usr`='$log' and `id`='$id'");
echo"Вы забрали <b>$mag[name]</b> ($mag[kol] штук)</br><a href=\"auction.php?mod=mainres\">Назад</a>";
$reqs = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name`='$mag[lat_name]'");
$res = mysql_fetch_array($reqs);
$kol = $res[kol]+$mag[kol];
mysql_query("UPDATE `res` SET `kol` = '$kol' WHERE `usr` = '$log' and `lat_name`='$mag[lat_name]'");
}
break;

case 'byres':
if(empty($_GET[id]) or empty($_GET[usr])){echo"<img src='pic/no.png' alt='*'/> Не выбрана вещь</br><a href=\"auction.php?mod=res\">Назад</a>";break;}
if($usr==$log){echo"<img src='pic/no.png' alt='*'/> Нельзя покупать свои вещи!</br><a href=\"auction.php?mod=res\">Назад</a>";break;}
if(empty($_POST[kol])){
echo "<form action=\"auction.php?mod=byres&id=$_GET[id]&usr=$_GET[usr]\" method=\"post\">";
echo '<b>Сколько?</b><br/>';
echo '<input type="text" name="kol"/><br/>';
echo '<input type="submit" value="Купить"/></form>';
break;}
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$usr = htmlspecialchars(addslashes(stripslashes($_GET['usr'])));
$kol = htmlspecialchars(addslashes(stripslashes($_POST['kol'])));
if($usr==$log){echo"<img src='pic/no.png' alt='*'/> Нельзя покупать свои вещи!</br><a href=\"auction.php?mod=res\">Назад</a>";break;}
$req = mysql_query("SELECT * FROM `auction` WHERE `usr`= '$usr' and `id`='$id' ") or die (mysql_error());
$avto=mysql_num_rows($req);
$mag = mysql_fetch_array($req);
if($avto==1){
$cena=$mag[mycena]*$kol;
if($udata[money]-$cena<0){echo"<img src='pic/no.png' alt='*'/> Нехватает монет!</br><a href=\"auction.php?mod=res\">Назад</a>";break;}
if($mag[kol]-$kol<=0){
mysql_query("DELETE FROM `auction` WHERE `usr`='$usr' and `id`='$id'");
$nkol=$mag[kol]; $cena=$mag[mycena]*$nkol;}else{
$kols=$mag[kol]-$kol;
mysql_query("UPDATE `auction` SET `kol` = '$kols' WHERE `usr` = '$usr' and `id`='$id'");
$nkol=$kol;}
$money=$udata[money]-$cena;
mysql_query("UPDATE `users` SET `money` = '$money' WHERE `usr` = '$log'");

$tor = mysql_query("SELECT money FROM `users` WHERE `usr` = '$usr' LIMIT 1");
$m = mysql_fetch_array($tor);
$m[money]=$m[money]+$cena;
mysql_query("UPDATE `users` SET `money` = '$m[money]' WHERE `usr` = '$usr'");


$time = date("H:i d.m.y");
$text = "$log приобрел $mag[name] ($nkol штук) вам перечислена сумма $cena монет!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Аукцион', `user_to` = '$usr', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
$res = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name`='$mag[lat_name]'");
$avtor=mysql_num_rows($res);
$magr = mysql_fetch_array($res);
if($avtor==0){mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = '$mag[name]',
        `lat_name` = '$mag[lat_name]',
        `tip` = '$mag[tip]',
        `what` = '$mag[what]',
        `give` = '$mag[give]',
        `kol` = '$nkol',
        `cena` = '$mag[cena]'") or die(mysql_error());}else{
$kols = $magr[kol]+$nkol;
mysql_query("UPDATE `res` SET `kol` = '$kols' WHERE  `usr`= '$log' and `lat_name`='$mag[lat_name]'");}
echo"<img src='pic/yes.png' alt='*'/> Ресурс <b>$mag[name]</b> ($nkol штук) куплен за $cena монет!<br/> <a href=\"auction.php?mod=res\">На аукцион</a></br>";

}else{echo"<img src='pic/no.png' alt='*'/> Нет такого ресурса!</br><a href=\"auction.php?mod=res\">Назад</a>";break;}
break;

}
@include('files/down.php');
?>